Skip to main content
GET
/
entitlements
/
customer
/
unique
/
{customer_id}
List unique entitlements for customer
curl --request GET \
  --url https://api.zenskar.com/entitlements/customer/unique/{customer_id} \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "results": [
    {
      "entitlement": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>",
        "entitlement_type": "Feature",
        "units": "<string>",
        "is_active": true,
        "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z"
      },
      "total_quantity": 123,
      "total_quantity_used": 123,
      "total_expired_entitlements": 123
    }
  ],
  "next": "V2VsbCBhcmV1IGN1cmlvdxM=",
  "previous": "GmBsbCBhcmV1IGN1cmlvdxM=",
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

customer_id
string<uuid>
required

Query Parameters

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null

The number of results to return - defaults to 10

Example:

10

sort_key
string | null
Example:

"sort_key=id"

sort_type
string | null
Example:

"sort_key=asc"

search
string | null
id
string<uuid> | null
id__in
string | null
id__isnull
boolean | null
entitlement
string<uuid> | null
entitlement__in
string | null
entitlement__isnull
boolean | null
customer
string<uuid> | null
customer__in
string | null
customer__isnull
boolean | null
contract_id
string<uuid> | null
contract_id__in
string | null
contract_id__isnull
boolean | null
created_at
string<date-time> | null
created_at__neq
string<date-time> | null
created_at__gt
string<date-time> | null
created_at__gte
string<date-time> | null
created_at__lt
string<date-time> | null
created_at__lte
string<date-time> | null
created_at__isnull
boolean | null
created_at__in
string | null
active_from
string<date-time> | null
active_from__neq
string<date-time> | null
active_from__gt
string<date-time> | null
active_from__gte
string<date-time> | null
active_from__lt
string<date-time> | null
active_from__lte
string<date-time> | null
active_from__isnull
boolean | null
active_from__in
string | null
quantity
number | null
quantity__neq
number | null
quantity__gt
number | null
quantity__gte
number | null
quantity__lt
number | null
quantity__lte
number | null
quantity__isnull
boolean | null
quantity__in
string | null
quantity_used
number | null
quantity_used__neq
number | null
quantity_used__gt
number | null
quantity_used__gte
number | null
quantity_used__lt
number | null
quantity_used__lte
number | null
quantity_used__isnull
boolean | null
quantity_used__in
string | null

Response

Successful Response

results
EntitlementCustomerSumResponseSchema · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows